=== debian/changelog ===
qt-qml-models (0~0.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:52:39 +1100

qt-qml-models (0~0.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:44:54 +0000

qt-qml-models (0~0.0-1) unstable; urgency=medium

  * Initial release (Closes: #980131)

 -- Wookey <wookey@debian.org>  Thu, 14 Jan 2021 11:42:37 +0000
