=== debian/control ===
Source: qt-qml-models
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper-compat (= 12), qbs, qtbase5-dev,
 qtbase5-private-dev, qtdeclarative5-dev
Standards-Version: 4.5.1
Homepage: https://github.com/cavewhere/qt-qml-models
Rules-Requires-Root: no

Package: libqtqmlmodels0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Additional list-type data models for QML apps
 This package adds 2 C++ data models to the qml back end, for use by 
 QML applications.
 .
 QQmlObjectListModel : a much nicer way to expose C++ list to QML than
 the quick & dirty QList<QObject*> property. Supports all the strong
 model features of QAbstractListModel while having the simple and well
 know API of QList.
 .
 QQmlVariantListModel : a dead-simple way to create a dynamic C++ list
 of any type and expose it to QML, much better than using a QVariantList
 property.
 .
 This package is the library itself.

Package: libqtqmlmodels-dev 
Architecture: any
Multi-Arch: same
Depends: libqtqmlmodels0 (= ${binary:Version}), ${misc:Depends}
Description: Additional list-type data models for QML apps
 This package adds 2 C++ data models to the qml back end, for use by 
 QML applications.
 .
 QQmlObjectListModel : a much nicer way to expose C++ list to QML than
 the quick & dirty QList<QObject*> property. Supports all the strong
 model features of QAbstractListModel while having the simple and well
 know API of QList.
 .
 QQmlVariantListModel : a dead-simple way to create a dynamic C++ list
 of any type and expose it to QML, much better than using a QVariantList
 property.
 .
 This package contains the development files.
