=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

LOGLEVEL = info
ifeq ($(DH_VERBOSE),1)
  LOGLEVEL = debug
endif
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
  LOGLEVEL = warning
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/architecture.mk

#confgure qt5 generally, not just for configure
export QT_SELECT=5

LIBNAME:=libQtQmlModels
VERSION=$(shell dpkg-parsechangelog -S version | awk '{split($$0,a,"-"); print a[1]}')
PKGCONFDIR:=debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig

%:
	dh $@

# Note that the dpkg-buildflags settings are currently static. We await a
# mechanism to convert them dynamically into Qbs-speak

override_dh_auto_configure:
	qbs-setup-toolchains --settings-dir debian --detect
	qbs-setup-qt --settings-dir debian /usr/bin/qmake deb
	qbs config --settings-dir debian profiles.deb.qbs.installPrefix "usr/"
	qbs config --settings-dir debian profiles.deb.cpp.debugInformation true
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	qbs config --settings-dir debian profiles.deb.cpp.optimization none
else
	qbs config --settings-dir debian profiles.deb.cpp.optimization fast
endif
	qbs config --settings-dir debian profiles.deb.cpp.commonCompilerFlags -Wdate-time
	qbs config --settings-dir debian profiles.deb.cpp.defines '"_FORTIFY_SOURCE=2"'
	qbs config --settings-dir debian profiles.deb.cpp.cFlags '[ "-fdebug-prefix-map=$(CURDIR)=.", "-fstack-protector-strong", "-Wformat", "-Werror=format-security" ]'
	qbs config --settings-dir debian profiles.deb.cpp.cxxFlags '[ "-fdebug-prefix-map=$(CURDIR)=.", "-fstack-protector-strong", "-Wformat", "-Werror=format-security" ]'
	qbs config --settings-dir debian profiles.deb.cpp.linkerFlags "-z,relro"

override_dh_auto_build:
	qbs build --settings-dir debian --log-level $(LOGLEVEL) --command-echo-mode command-line --no-install \
           profile:deb \
           modules.qbs.installRoot:$(CURDIR)/debian/tmp \
           project.libDir:lib/$(DEB_HOST_MULTIARCH) \
           config:qbs-build
        # Generate pkgconfig file
	sed -e "s/@DEB_HOST_MULTIARCH@/${DEB_HOST_MULTIARCH}/;s/@VERSION@/$(VERSION)/" < debian/$(LIBNAME).pc.in > debian/$(LIBNAME).pc

override_dh_auto_install:
	qbs install --settings-dir debian --no-build --log-level $(LOGLEVEL)\
           --install-root $(CURDIR)/debian/tmp \
           project.libDir:lib/$(DEB_HOST_MULTIARCH) \
           profile:deb \
           config:qbs-build
	mkdir -p $(PKGCONFDIR)
	mv debian/$(LIBNAME).pc $(PKGCONFDIR)/$(LIBNAME).pc
	dh_install

override_dh_clean:
	# tidy up qbs profile builddirs
	- rm -r qbs-build
	- rm debian/$(LIBNAME).pc
	- rm -r debian/qbs
	dh_clean
